# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.sshNoHostKeyVerification

Module implementing a check for use of mako templates.

### Global Attributes

None

### Classes

None

### Functions

checkSshNoHostKeyVerification | Function to check for use of mako templates.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkSshNoHostKeyVerification

checkSshNoHostKeyVerification(reportError, context, config)

Function to check for use of mako templates.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up